Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 630303 - Review Request: yesod - Creation of type-safe, RESTful web applications
Summary: Review Request: yesod - Creation of type-safe, RESTful web applications
Keywords:
Status: CLOSED DUPLICATE of bug 1511559
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: notready
Depends On: ghc-authenticate 630276 ghc-email-validate 630292 630295 630297 ghc-wai-extra 630302 648244 648250 677253 ghc-unix-compat 734408 748701 ghc-warp ghc-shakespeare-text 925993 ghc-pureMD5 ghc-yaml 1497030
Blocks: hledger-web yesod-platform
TreeView+ depends on / blocked
 
Reported: 2010-09-04 17:35 UTC by Ben Boeckel
Modified: 2017-11-10 04:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-24 10:26:22 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2010-09-04 17:35:27 UTC
Spec URL: http://benboeckel.net/packaging/yesod/yesod.spec
SRPM URL: http://benboeckel.net/packaging/yesod/yesod-0.5.0.3-1.fc14.src.rpm
Description:
Yesod is a framework designed to foster creation of RESTful
web application that have strong compile-time guarantees of
correctness. It also affords space efficient code and
portability to many deployment backends, from CGI to
stand-alone serving.

% lintmock fedora-14-x86_64-bb
ghc-yesod.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
ghc-yesod-devel.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
ghc-yesod-prof.x86_64: E: devel-dependency ghc-yesod-devel
ghc-yesod-prof.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
ghc-yesod-prof.x86_64: W: no-documentation
ghc-yesod-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/yesod-0.5.0.3/libHSyesod-0.5.0.3_p.a
yesod.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
yesod.src: W: name-repeated-in-summary C yesod
yesod.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
yesod.src: W: strange-permission yesod-0.5.0.3.tar.gz 0640L
yesod.src: W: strange-permission yesod.spec 0640L
yesod.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
yesod.x86_64: W: name-repeated-in-summary C yesod
yesod.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
yesod.x86_64: W: no-manual-page-for-binary yesod
5 packages and 0 specfiles checked; 1 errors, 14 warnings.

Comment 1 Ben Boeckel 2010-10-30 22:32:48 UTC
blaze-builder dependency is dragged in via hamlet.

Comment 2 Ben Boeckel 2010-10-31 17:11:40 UTC
Spec URL: http://benboeckel.net/packaging/yesod/yesod.spec
SRPM URL: http://benboeckel.net/packaging/yesod/yesod-0.6.0.2-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-yesod.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
ghc-yesod-devel.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
ghc-yesod-prof.x86_64: E: devel-dependency ghc-yesod-devel
ghc-yesod-prof.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
ghc-yesod-prof.x86_64: W: no-documentation
ghc-yesod-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/yesod-0.6.0.2/libHSyesod-0.6.0.2_p.a
yesod.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
yesod.src: W: name-repeated-in-summary C yesod
yesod.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
yesod.src: W: strange-permission yesod.spec 0640L
yesod.src: W: strange-permission yesod-0.6.0.2.tar.gz 0640L
yesod.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
yesod.x86_64: W: name-repeated-in-summary C yesod
yesod.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
yesod.x86_64: W: no-manual-page-for-binary yesod
5 packages and 0 specfiles checked; 1 errors, 14 warnings.

Comment 3 Jens Petersen 2011-01-28 15:31:08 UTC
BTW latest version is 0.6.7 - as for deps I think mainly just some versions have been bumped.

Comment 4 Jens Petersen 2011-03-15 04:48:06 UTC
As we know, quite a lot of changes and subpackaging with yesod-0.7.

Comment 5 Jens Petersen 2011-05-02 15:47:13 UTC
yesod-0.8 was released recently.

Comment 6 Jens Petersen 2011-08-11 09:41:37 UTC
Latest yesod release is 0.8.2.1 and 0.9 is coming out soon.

Ok, I moving yesod off Haskell-pkg-reviews for now
until is gets updated.  I think it will probably be
better to do it in parts since the whole dependency tree
is really large, maybe starting to yesod-core
or even taking library packages from the bottom of the
dependency tree to Haskell-pkg-reviews.  That will
make it easier eventually to get the whole of yesod reviewed.

Comment 7 Jens Petersen 2011-09-21 15:47:23 UTC
Moving back to Haskell-pkg-reviews for reference:
I'd like to use Whiteboard: ready/notready going forward
to track status of pending reviews.

Comment 8 Jens Petersen 2011-10-04 01:10:45 UTC
yesod-0.9.3.1 was just released.

Comment 9 Michel Alexandre Salim 2013-03-20 06:19:49 UTC
Making this a dependency of ghc-yesod-platform (should that be 'yesod-platform' instead, to match 'yesod' here?)

Yesod 1.1.9.2 is out, and 1.2 is coming soon.

Comment 10 Jens Petersen 2013-06-24 10:26:22 UTC
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Comment 11 Jens Petersen 2017-11-10 04:01:03 UTC

*** This bug has been marked as a duplicate of bug 1511559 ***


Note You need to log in before you can comment on or make changes to this bug.